Bug 1655232 - Packaging: libevent-devel pulls in python2 as a dependency during package builds
Summary: Packaging: libevent-devel pulls in python2 as a dependency during package builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libevent
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-01 16:42 UTC by Anthony Messina
Modified: 2019-09-03 01:03 UTC (History)
4 users (show)

Fixed In Version: libevent-2.1.8-7.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-03 01:03:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Anthony Messina 2018-12-01 16:42:00 UTC
libevent hasn't had any recent releases since 2.1.8. Building packages against libevent-devel will pull the Python2 stack into the buildsystem since the following commit occurred after the 2.1.8 release.

Please include the following upstream commit in a bumped release: Port `event_rpcgen.py` and `test/check-dumpevents.py` to Python 3.

https://github.com/libevent/libevent/commit/8b0aa7b36a3250fad4953f194c8a94ab25032583#diff-627317413ad60f20b4bce7f0352ec0a9

This should make libevent-devel not pull in Python2 when it's technically not necessary.

Comment 1 Anthony Messina 2019-04-02 03:24:08 UTC
Hi Steve.  I'm wondering if you can take a look at this if you have some time.  I'm working on packaging non-Python2 things (Kamailio for one) that build against libevent-devel in preparation for Fedora 30 and it would be great to not have a Python2 stack brought into the buildsystem, isolating other potential Python2/Python3 issues in the code.  Thanks.

Comment 2 Fedora Update System 2019-08-16 12:07:27 UTC
FEDORA-2019-ee3442fd65 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ee3442fd65

Comment 3 Ondřej Lysoněk 2019-08-16 12:09:27 UTC
I've applied the patch in f30..master. Please let me know if you need it in F29 as well.

Note that it now pulls in python3. I hope that's fine.

Comment 4 Anthony Messina 2019-08-16 23:31:07 UTC
Thank you.  Personally, I would not need this backported to F29 since I'm not using F29 any longer.

Comment 5 Anthony Messina 2019-08-16 23:36:57 UTC
https://github.com/libevent/libevent/releases shows the latest release as 2.1.11-stable.  I'm not sure if there are other reasons to keep this at 2.1.8 in Fedora--that's up to the maintainer, but it may be easier than carrying the patches.

Thank you for your fixes Ondřej.  I'll starting testing with my Kamailio builds.

Comment 6 Fedora Update System 2019-08-17 01:27:41 UTC
libevent-2.1.8-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ee3442fd65

Comment 7 Ondřej Lysoněk 2019-08-19 08:44:44 UTC
I'm planning to rebase to 2.1.11 in Rawhide only because it comes with a soname change. And while reviewing the changes in the releases > 2.1.8, I've come to the conclusion that it's probably safer to stick with 2.1.8 in earlier Fedora releases.

Comment 8 Fedora Update System 2019-09-03 01:03:34 UTC
libevent-2.1.8-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.